import 'package:flutter/material.dart';


extension TextControllerExt on TextEditingController {
  TextEditingController fromInitialText(String text) {
    return TextEditingController.fromValue(
        TextEditingValue(text: text, selection: TextSelection.collapsed(offset: text.length)));
  }

  selectAll() {
    String text = this.text;
    selection = TextSelection(baseOffset: 0, extentOffset: text.length);
  }
}

extension TextSelectionExt on TextSelection {
  static TextSelection selectAll(int length) {
    return TextSelection(baseOffset: 0, extentOffset: length);
  }
}