import 'package:flutter/material.dart';

/* 虚线 */
class DottedLine extends StatelessWidget {
  final Color color;
  final Axis direction;
  final double dashHeight;
  final double dashWidth;

  const DottedLine({
    Key? key,
    this.color = const Color(0xFFE7E7E7),
    this.direction = Axis.horizontal,
    this.dashHeight = 1,
    this.dashWidth = 6,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (BuildContext context, BoxConstraints constraints) {
        final boxWidth = direction == Axis.horizontal ? constraints.constrainWidth() : constraints.constrainHeight();
        final dashCount = (boxWidth / (2 * dashWidth)).floor();
        return Flex(
          direction: direction,
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: List.generate(dashCount, (_) {
            return SizedBox(
              width: direction == Axis.horizontal ? dashWidth : dashHeight,
              height: direction == Axis.horizontal ? dashHeight : dashWidth,
              child: DecoratedBox(
                decoration: BoxDecoration(color: color),
              ),
            );
          }),
        );
      },
    );
  }
}
