import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class SimpleAlertDialogContainer extends StatelessWidget {
  final Widget title;
  final List<Widget> children;
  final VoidCallback? onCancel;
  final VoidCallback? onConfirm;
  final Color themeColor;

  const SimpleAlertDialogContainer({
    required this.title,
    required this.children,
    this.onCancel,
    this.onConfirm,
    this.themeColor = const Color(0xFFEC6D20),
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 310,
      child: SingleChildScrollView(
        child: Column(
          children: [
            Container(
              padding: EdgeInsets.symmetric(horizontal: 24, vertical: 16),
              child: Column(
                children: [title, SizedBox(height: 16), ...children],
                mainAxisSize: MainAxisSize.min,
                crossAxisAlignment: CrossAxisAlignment.stretch,
              ),
            ),
            Divider(height: 1),
            Container(
              height: 48,
              child: Row(children: [
                Expanded(
                  child: TextButton(
                    onPressed: onCancel,
                    child: Text(
                      'no'.tr,
                      style: TextStyle(fontSize: 18, color: Color(0xFF777777)),
                    ),
                  ),
                ),
                VerticalDivider(),
                Expanded(
                  child: TextButton(
                    onPressed: onConfirm,
                    child: Text(
                      'yes'.tr,
                      style: TextStyle(color: themeColor, fontWeight: FontWeight.bold, fontSize: 18),
                    ),
                  ),
                )
              ]),
            )
          ],
          mainAxisSize: MainAxisSize.min,
          crossAxisAlignment: CrossAxisAlignment.stretch,
        ),
      ),
    );
  }
}
