import 'package:flutter/material.dart';
import 'package:get/get.dart';

class TransformBottomDialog extends StatelessWidget {
  final String title;
  final TextStyle titleTextStyle;
  final Color backgroundColor;
  final EdgeInsetsGeometry padding;
  final Widget? closeButton;
  final Widget child;
  final Function? onClose;

  const TransformBottomDialog({
    Key? key,
    required this.title,
    this.titleTextStyle = const TextStyle(color: Color(0xFF222222), fontSize: 16, fontWeight: FontWeight.bold),
    this.backgroundColor = Colors.white,
    this.padding = const EdgeInsets.all(24),
    this.closeButton,
    required this.child,
    this.onClose,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      decoration: BoxDecoration(
        color: backgroundColor,
        borderRadius: BorderRadius.vertical(top: Radius.circular(12)),
      ),
      child: Column(
        children: [
          Row(
            children: [
              Expanded(child: Text(title, style: titleTextStyle)),
              GestureDetector(
                child: closeButton ?? Icon(Icons.close, color: Color(0xFF222222), size: 24),
                onTap: () {
                  if (onClose != null) {
                    onClose!();
                  } else {
                    Get.back();
                  }
                },
              ),
            ],
          ),
          Divider(height: 16, color: Colors.transparent),
          child,
        ],
      ),
    );
  }
}
